org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder
      extends com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger` | `build()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger` | `buildPartial()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `clear()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `clearCounter()` `optional int32 counter = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `clearNodeId()` `optional int64 node_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `clone()`
    `int` | `getCounter()` `optional int32 counter = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getNodeId()` `optional int64 node_id = 1;`
    `boolean` | `hasCounter()` `optional int32 counter = 2;`
    `boolean` | `hasNodeId()` `optional int64 node_id = 1;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `setCounter(int value)` `optional int32 counter = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `setNodeId(long value)` `optional int64 node_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### setField

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                                        Object value)

      Specified by:
        `setField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### clearField

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

      Specified by:
        `clearField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### clearOneof

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

      Specified by:
        `clearOneof` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### setRepeatedField

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                                                int index,
                                                                                                                Object value)

      Specified by:
        `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### addRepeatedField

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                                                Object value)

      Specified by:
        `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                                  throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`
      Throws:
        `IOException`

    - #### hasNodeId

          public boolean hasNodeId()

      `optional int64 node_id = 1;`
      Specified by:
        `hasNodeId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder`

    - #### getNodeId

          public long getNodeId()

      `optional int64 node_id = 1;`
      Specified by:
        `getNodeId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder`

    - #### setNodeId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder setNodeId(long value)

      `optional int64 node_id = 1;`

    - #### clearNodeId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder clearNodeId()

      `optional int64 node_id = 1;`

    - #### hasCounter

          public boolean hasCounter()

      `optional int32 counter = 2;`
      Specified by:
        `hasCounter` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder`

    - #### getCounter

          public int getCounter()

      `optional int32 counter = 2;`
      Specified by:
        `getCounter` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder`

    - #### setCounter

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder setCounter(int value)

      `optional int32 counter = 2;`

    - #### clearCounter

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder clearCounter()

      `optional int32 counter = 2;`

    - #### setUnknownFields

          public final JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

    - #### mergeUnknownFields

          public final JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.